#pragma once
#ifndef TIMER_H
#define TIMER_H
/*-----------------------------------------------------------------------------

Clock starts on construction, no cache warming takes place, no overhead is 
calculated as the aim here is to be lightweight, not accurate down to the 
individual clock cycle.

-----------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
Includes for Interface
-----------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
Class
-----------------------------------------------------------------------------*/
class CTimer
{
public:

	CTimer();

	void Reset(void);

	unsigned int ElapsedTicks(void);

private:

	static unsigned int GetTicks(void);

private:

	unsigned int		m_Start;

};


/*-----------------------------------------------------------------------------
Inlined Functions
-----------------------------------------------------------------------------*/
#include "Timer.inl"


#endif //TIMER_H